/**
 * Generated by Orval
 * Do not edit manually.
 * See `gen:api` script in package.json
 */
import type { FeatureEnvironmentSchema } from './featureEnvironmentSchema';
import type { VariantSchema } from './variantSchema';
import type { FeatureSchemaStrategiesItem } from './featureSchemaStrategiesItem';
import type { TagSchema } from './tagSchema';

export interface FeatureSchema {
    /** Unique feature name */
    name: string;
    /** Type of the toggle e.g. experiment, kill-switch, release, operational, permission */
    type?: string;
    /** Detailed description of the feature */
    description?: string | null;
    /** `true` if the feature is archived, otherwise `false`. */
    archived?: boolean;
    /** Name of the project the feature belongs to */
    project?: string;
    enabled?: boolean;
    /** `true` if the feature is stale based on the age and feature type, otherwise `false`. */
    stale?: boolean;
    /** `true` if the feature was favorited, otherwise `false`. */
    favorite?: boolean;
    /** `true` if the impression data collection is enabled for the feature, otherwise `false`. */
    impressionData?: boolean;
    createdAt?: string | null;
    archivedAt?: string | null;
    lastSeenAt?: string | null;
    /** The list of environments where the feature can be used */
    environments?: FeatureEnvironmentSchema[];
    /**
     * The list of feature variants
     * @deprecated
     */
    variants?: VariantSchema[];
    /**
     * This is a legacy field that will be deprecated
     * @deprecated
     */
    strategies?: FeatureSchemaStrategiesItem[];
    /** The list of feature tags */
    tags?: TagSchema[] | null;
}
