/**
 * Generated by Orval
 * Do not edit manually.
 * See `gen:api` script in package.json
 */
import type { ProjectSchemaMode } from './projectSchemaMode';

/**
 * A definition of the project used for projects listing purposes
 */
export interface ProjectSchema {
    /** The id of this project */
    id: string;
    /** The name of this project */
    name: string;
    /** Additional information about the project */
    description?: string | null;
    /** An indicator of the [project's health](https://docs.getunleash.io/reference/technical-debt#health-rating) on a scale from 0 to 100 */
    health?: number;
    /** The number of features this project has */
    featureCount?: number;
    /** The number of members this project has */
    memberCount?: number;
    createdAt?: string;
    updatedAt?: string | null;
    /** `true` if the project was favorited, otherwise `false`. */
    favorite?: boolean;
    /** The project's [collaboration mode](https://docs.getunleash.io/reference/project-collaboration-mode). Determines whether non-project members can submit change requests or not. */
    mode?: ProjectSchemaMode;
    /** A default stickiness for the project affecting the default stickiness value for variants and Gradual Rollout strategy */
    defaultStickiness?: string;
}
