/**
 * Generated by Orval
 * Do not edit manually.
 * See `gen:api` script in package.json
 */

/**
 * Statistics for a project, including the average time to production, number of features created, the project activity and more.

Stats are divided into current and previous **windows**.
- The **current window** is the past 30 days.
- The **previous window** is the 30 days **before** the current window (from 60 to 30 days ago)
 */
export interface ProjectStatsSchema {
    /** The average time from when a feature was created to when it was enabled in the "production" environment during the current window */
    avgTimeToProdCurrentWindow: number;
    /** The number of feature toggles created during the current window */
    createdCurrentWindow: number;
    /** The number of feature toggles created during the previous window */
    createdPastWindow: number;
    /** The number of feature toggles that were archived during the current window */
    archivedCurrentWindow: number;
    /** The number of feature toggles that were archived during the previous window */
    archivedPastWindow: number;
    /** The number of project events that occurred during the current window */
    projectActivityCurrentWindow: number;
    /** The number of project events that occurred during the previous window */
    projectActivityPastWindow: number;
    /** The number of members that were added to the project during the current window */
    projectMembersAddedCurrentWindow: number;
}
