---
title: Front end
---

## Frontend overview

The frontend is written in react/typescript. It's is a single page application that communicates with the backend via a REST API. The frontend is built using vite and served by the backend.

## ADRs

We have created a set of ADRs to help guide the development of the frontend:

* [Component naming](../ADRs/front-end/component-naming.md)
* [Interface naming](../ADRs/front-end/interface-naming.md)
* [Preferred component props usage](../ADRs/front-end/preferred-component-props-usage.md)
* [Preferred export](../ADRs/front-end/preferred-export.md)
* [Preferred function type](../ADRs/front-end/preferred-function-type.md)
* [Preferred style import placement](../ADRs/front-end/preferred-styles-import-placement.md)
* [Preferred styling method](../ADRs/front-end/preferred-styling-method.md)
* [Preferred data mutation method](../ADRs/front-end/preferred-data-mutation-method.md)
* [Preferred data fetching method](../ADRs/front-end/preferred-data-fetching-method.md)
* [Preferred folder structure](../ADRs/front-end/preferred-folder-structure.md)
* [Preferred form architecture](../ADRs/front-end/preferred-form-architecture.md)
* [OpenAPI SDK generator](../ADRs/front-end/sdk-generator.md)
