---
title: How to create and manage user groups
---

:::info availability

User groups are available to Unleash Enterprise users since **Unleash 4.14**.

:::

This guide takes you through how to use user groups to manage permissions on your projects. User groups allow you to manage large groups of users more easily than assigning roles directly to those users. Refer to the section on [user groups](../reference/rbac.md#user-groups) in the RBAC documentation for more information.

## Creating user groups

1. Navigate to groups by using the admin menu (the gear icon) and selecting the groups option.

![The Unleash Admin UI with the steps highlighted to navigate to groups.](/img/create-ug-step-1.png)

2. Navigate to new group.

![The groups screen with the new group button highlighted.](/img/create-ug-step-2.png)

3. Give the group a name and an optional description and select the users you'd like to be in the group.

![The new group screen with the users drop down open and highlighted.](/img/create-ug-step-3.png)

4. Review the details of the group and save them if you're happy.

![The new group screen with the users selected and the save button highlighted.](/img/create-ug-step-4.png)

## Managing users within a group

1. Navigate to groups by using the admin menu (the gear icon) and selecting the groups option.

![The Unleash Admin UI with the steps highlighted to navigate to groups.](/img/create-ug-step-1.png)

2. Select the card of the group you want to edit.

![The manage groups with a pointer to a group card.](/img/edit-ug-step-2.png)

3. Remove users by using the remove user button (displayed as a bin).

![The manage group page with the remove user button highlighted.](/img/remove-user-from-group-step-1.png)

4. Confirm the remove.

![The manage group page with the confirm user removal dialog shown.](/img/remove-user-from-group-step-2.png)

5. Add users by selecting the add button.

![The groups page shown with the add user button highlighted.](/img/add-user-to-group-step-1.png)

6. Find the user you'd like to add to the group and select them.

![The groups page shown with a user selected.](/img/add-user-to-group-step-2.png)

7. Review the group users and save when you're happy.

![The edit groups page shown with the save button highlighted.](/img/add-user-to-group-step-3.png)

## Assigning groups to projects

1. Navigate to projects

![The landing page with the projects navigation link highlighted.](/img/add-group-to-project-step-1.png)

2. Select the project you want to manage.

![The projects page with a project highlighted.](/img/add-group-to-project-step-2.png)

3. Navigate to the access tab and then use the assign user/group button.

![The project page with the access tab and assign button highlighted.](/img/add-group-to-project-step-3.png)

4. Find your group in the drop down.

![The access sidepane for a project with a group selected.](/img/add-group-to-project-step-4.png)

5. Select the role that the group should have in this project. You can review the list of permissions that the group users will gain by having this role before confirming.

![The access sidepane for a project with a role selected.](/img/add-group-to-project-step-5.png)
